MindPhaser34
@MindPhaser34
Системный администратор, DevOps

Установка плагина СБИС на Ubuntu 20.04 (Pop!_OS), реально?

Добрый день! Коллеги, как можно установить плагин от СБИС? Сижу на Pop!_OS 20.04 (Ubuntu based). Делаю всё по инструкции:
https://sbis.ru/help/plugin/sbis3plugin/install?tb=tab2

Запускаю скрипт от с правами админа, тот лезет на серваки, скачивает пакеты и когда начинчается установка, происходит вот это:

Preinstall script
Installer Value: install
Установка приложения СБИС3 Плагин 20.5204.37 версии
ОС определена как pop. Корректная работа приложения в данной ОС не гарантирована.
Остановка сервиса
Failed to stop SBIS3Plugin.service: Unit SBIS3Plugin.service not loaded.
Не удалось остановить сервис.
Остановка приложения
sbis3plugin: no process found
-------------
Unpacking sbis3plugin (20.5204-37) ...
Setting up sbis-libstdc++ (9.1.1-7.el7) ...
Setting up libnss3-tools (2:3.49.1-1ubuntu1.5) ...
Setting up sbis3plugin (20.5204-37) ...
-------------
Postinstall script
Installer Value: configure
Установка сертификата для всех пользователей
/usr/sbin/update-ca-certificates
Updating certificates in /etc/ssl/certs...
1 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Doing /usr/lib/ssl/certs
WARNING: Skipping duplicate certificate ca-certificates.crt
WARNING: Skipping duplicate certificate ca-certificates.crt
Регистрация автозапуска
Регистрация Chrome NMH и SbisPluginConnector, проверка признака RC версии
Обновление версии CromeNmhTransport
ChromeNmhTransport: no process found
Регистрация демона
ОШИБКА: указанное имя демона (SBIS3Plugin) содержит недопустимые символы
ОШИБКА: указанное имя демона (SBIS3Plugin) содержит недопустимые символы
Не удалось зарегистрировать демона. Установка не завершена.
dpkg: error processing package sbis3plugin (--configure):
installed sbis3plugin package post-installation script subprocess returned error exit status 1
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Errors were encountered while processing:
sbis3plugin
E: Sub-process /usr/bin/dpkg returned an error code (1)
apt-get install -y sbis3plugin failed


Встречались с подобным поведением? Есть предположения как чинится?

UPD: В итоге проблему удалось победить, скачав и установив пакет плагина вручную (https://update.sbis.ru/Sbis3Plugin/master/linux/<название_пакета>).
-Далее скачиваете нужную для вашего токена версию Крипто Про (5, 4 КС1, 4 КС2 и пр).
-После чего скачиваете и устанавливаете последние пакеты libccid libpcsclite1 pcscd pcsc-tools opensc (deb) или ccid pcscd pcsc-lite (rpm).
-После этого, можно пробовать зайти через личный кабинет СБИС.
Но при этом диагностика в личном кабинете СБИС зависает и не проходит до конца - останавливается на этапе проверки "Драйверы токенов - Рутокен", напротив крутится кружочек и всё... Дальше проверка не идёт. Не смотря на это в личный кабинет удалось залогиниться.
  • Вопрос задан
  • 149 просмотров
Пригласить эксперта
Ответы на вопрос 1
@pfg21
ex-турист
тут же написано прямым текстом
ОС определена как pop. Корректная работа приложения в данной ОС не гарантирована.

распаковать deb и ручками все разложить по местам и посмотреть что не срабатывает в скриптах установки.
т.е. допилить по месту.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы